<?php

$rtwwpge_purchase_code_details = get_option( 'rtwwpge_verification_done', array() );
if (!empty($rtwwpge_purchase_code_details) && is_array($rtwwpge_purchase_code_details) && isset($rtwwpge_purchase_code_details['status']) && $rtwwpge_purchase_code_details['status'] == true && isset($rtwwpge_purchase_code_details['purchase_code']) && $rtwwpge_purchase_code_details['purchase_code'] != '' )
{
	settings_fields('rtwwpge_header_setting');
	$rtwwpge_wprh_get_setting = get_option('rtwwpge_header_setting_opt');
	?>
	<div class="rtwwpgepdf_tab_div">
		<table class="wp-list-table form-table">
		<tr>
				<th class="tr1 rtwwpge_tool_removeheader"><?php esc_html_e('Remove Header', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
				<td class="tr2">
					<input type="checkbox" id ="rtwwpge_head_remv" name="rtwwpge_header_setting_opt[rtwwpge_remove_header]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_remove_header'] ) && $rtwwpge_wprh_get_setting['rtwwpge_remove_header'] == 1 ? 'checked="checked"' : ''; ?> />
					<div class="rtwwpge_desc">
							<?php esc_html_e('Check it if you want to remove header','rtwwpge-wordpress-pdf-generator-for-elementor');?>
					</div>
				</td>
				
			</tr>
		</table>
		<table id="rtwwpge_text_remv_header"
		class="wp-list-table form-table  <?= isset($rtwwpge_wprh_get_setting['rtwwpge_remove_header'])  ? 'display_none' : '' ?>">
			<tbody>
				<tr>
					<th><?php esc_html_e('Header HTML', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td>
						<?php
							$rtwwpge_content = isset( $rtwwpge_wprh_get_setting['rtwwpge_header_html'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_header_html'] : '';
							$rtwwpge_setting = array(
								'wpautop' => true,
								'media_buttons' => true,
								'textarea_name' => 'rtwwpge_header_setting_opt[rtwwpge_header_html]',
								'textarea_rows' => 7
							);
							wp_editor($rtwwpge_content, 'rtwwpge_headeresc_html_editor', $rtwwpge_setting );
						?>
						<div class="rtwwpge_desc">
								<?php esc_html_e('Enter your required header text/image','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_toolheader_top">
						<?php esc_html_e('Header Top Margin', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
					</th>
					<td class="tr2">
						<input type="number" min="0" name="rtwwpge_header_setting_opt[rtwwpge_header_top_margin]" value="<?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_header_top_margin'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_header_top_margin'] : '7'; ?>" />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Enter your required top margin (By default 7)','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1"><?php esc_html_e('Header Section Font', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
					<td class="tr2">
						<select name="rtwwpge_header_setting_opt[rtwwpge_header_font_family]">
						<?php 
							foreach ( $rtwwpge_fonts as $key => $value ) 
							{ 
								?>
									<option value="<?php esc_attr($value);?>" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_header_font_family'] ) && $rtwwpge_wprh_get_setting['rtwwpge_header_font_family'] == $value ? 'selected="selected"' : '';?>><?php esc_html_e($key,'rtwwpge-wordpress-pdf-generator-for-elementor');?></option>
								<?php
							}
						?>
						</select>
						<div class="rtwwpge_desc">
								<?php esc_html_e('Choose your required font for PDF Header','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_toolheadersec_font"><?php esc_html_e('Header Section Font Size', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="number" min="0" name="rtwwpge_header_setting_opt[rtwwpge_header_font_size]"
						value="<?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_header_font_size'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_header_font_size'] : '15'; ?>" />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Enter your required font size for PDF Header (By default 15)','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_hide_hhl"><?php esc_html_e('Hide Header Horizontal Line', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_header_setting_opt[rtwwpge_header_bb]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_header_bb'] ) && $rtwwpge_wprh_get_setting['rtwwpge_header_bb'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check it if you want to hide header horizontal line in the PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>				
			</tbody>	
		</table>
	</div>
	<?php
}
else {
	include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_html/rtwwpge_purchase_code_verification.php');
}