<?php

$rtwwpge_purchase_code_details = get_option( 'rtwwpge_verification_done', array() );
if (!empty($rtwwpge_purchase_code_details) && is_array($rtwwpge_purchase_code_details) && isset($rtwwpge_purchase_code_details['status']) && $rtwwpge_purchase_code_details['status'] == true && isset($rtwwpge_purchase_code_details['purchase_code']) && $rtwwpge_purchase_code_details['purchase_code'] != '' )
{
	settings_fields('rtwwpge_basic_setting');
	$rtwwpge_wprh_get_setting = get_option('rtwwpge_basic_setting_opt');
	$rtwwpge_src = isset($rtwwpge_wprh_get_setting['rtwwpge_bck_img']) ? $rtwwpge_wprh_get_setting['rtwwpge_bck_img'] : '';
	?>
	<div class="rtwwpgepdf_tab_div">
		<table class="wp-list-table form-table">
			<tbody>
				<tr>
					<th class="rtwwpge_tool_hidepage_title"><?php esc_html_e('Hide Page Title', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_hide_title]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_hide_title'] ) && $rtwwpge_wprh_get_setting['rtwwpge_hide_title'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to hide page title','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="rtwwpge_tool_featureimage"><?php esc_html_e('Featured Image', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_featured_img]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_featured_img'] ) && $rtwwpge_wprh_get_setting['rtwwpge_featured_img'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to show featured image','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="rtwwpge_tool_showpostdate"><?php esc_html_e('Show Post Date', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_post_date]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_post_date'] ) && $rtwwpge_wprh_get_setting['rtwwpge_post_date'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to show date of post','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="rtwwpge_tool_showposttag"><?php esc_html_e('Show Post Tags', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_post_tag]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_post_tag'] ) && $rtwwpge_wprh_get_setting['rtwwpge_post_tag'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to show tag list of post','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="rtwwpge_tool_categorylist"><?php esc_html_e('Show Post Category List', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_post_category]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_post_category'] ) && $rtwwpge_wprh_get_setting['rtwwpge_post_category'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to show category of the post','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_pdffile"><?php esc_html_e('PDF File Name', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<select name="rtwwpge_basic_setting_opt[rtwwpge_file_name]">
							<option>Select</option>
							<option value="rtwwpge_post_name" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_file_name'] ) && $rtwwpge_wprh_get_setting['rtwwpge_file_name'] == 'rtwwpge_post_name' ? 'selected="selected"' : '';?>><?php esc_html_e('Post Name', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
							</option>
							<option value="rtwwpge_post_id" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_file_name'] ) && $rtwwpge_wprh_get_setting['rtwwpge_file_name'] == 'rtwwpge_post_id' ? 'selected="selected"' : '';?>><?php esc_html_e('Post ID', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
							</option>
						</select>
						<div class="rtwwpge_desc">
							<?php esc_html_e('Select what will be the name of the generated PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_rtlsupport"><?php esc_html_e('RTL Support', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_rtl_support]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_rtl_support'] ) && $rtwwpge_wprh_get_setting['rtwwpge_rtl_support'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to generate PDF in Arabic or languages that start with right alignment','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_allowpost"><?php esc_html_e('Allowed Post Types', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<?php
							$rtwwpge_get_post = get_post_types( array('public' => true), 'names' );
							unset($rtwwpge_get_post['attachment']);
							foreach ( $rtwwpge_get_post as $key => $value) 
							{
								?>
									<p>
										<input name="rtwwpge_basic_setting_opt[rtwwpge_post_type][<?php echo esc_attr($value)?>]" value="1" <?= ( isset( $rtwwpge_wprh_get_setting['rtwwpge_post_type'][$value] ) && $rtwwpge_wprh_get_setting['rtwwpge_post_type'][$value] == 1  ? 'checked="checked"' : ''); ?> type="checkbox"/>
										<?php esc_html_e(ucfirst($value), 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
									</p>
							<?php 
							}
						?>
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check those post type you want to create PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
				<th class="tr1 rtwwpge_tool_bckclr"><?php esc_html_e('Background Color', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
				<td class="tr2">
						<input type="text" class="rtwwpge_bck_color" value="<?= ( isset ( $rtwwpge_wprh_get_setting['rtwwpge_back_color'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_back_color'] : ''); ?>" name="rtwwpge_basic_setting_opt[rtwwpge_back_color]" />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Select background color for generated PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_bckimage"><?php esc_html_e('Background Image', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<div id="rtwwpge_bckgrnd_img">
							<img id="rtwwpge_bckgrnd_img_btn" width="60px" height="60px" src = "<?php echo esc_url($rtwwpge_src); ?>"/>
						</div>
						<div id="rtwwpge_bck_img">
							<input type="hidden" id="rtwwpge_bck_img_url" name="rtwwpge_basic_setting_opt[rtwwpge_bck_img]" value="<?php echo esc_attr($rtwwpge_src); ?>" />
							<button type="button" class="rtwwpge_btn_bckgrnd_img_upload button"><?php esc_html_e( 'Upload/Add image', 'rtwwpge-wordpress-pdf-generator-for-elementor'); ?></button><br>
							<button type="button" class="rtwwpge_btn_remove_bckgrnd_img button"><?php esc_html_e( 'Remove image', 'rtwwpge-wordpress-pdf-generator-for-elementor'); ?></button>
						</div>
						<div class="rtwwpge_desc">
							<?php esc_html_e('Select background image for generated PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_woocommerce_opt"><?php esc_html_e('Show PDF Button', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_show_pdf_btn][on_cart]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_show_pdf_btn']['on_cart'] ) && $rtwwpge_wprh_get_setting['rtwwpge_show_pdf_btn']['on_cart'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Cart Page', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_show_pdf_btn][on_shop]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_show_pdf_btn']['on_shop'] ) && $rtwwpge_wprh_get_setting['rtwwpge_show_pdf_btn']['on_shop'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Shop Page', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_show_pdf_btn][on_checkout]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_show_pdf_btn']['on_checkout'] ) && $rtwwpge_wprh_get_setting['rtwwpge_show_pdf_btn']['on_checkout'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Checkout Page', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<div class="rtwwpge_desc">
							<?php esc_html_e('Choose the page where you want show Download PDF button','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1"><?php esc_html_e('Password Protection', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" id ="rtwwpge_pass_protection" name="rtwwpge_basic_setting_opt[rtwwpge_pass_protection]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_pass_protection'] ) && $rtwwpge_wprh_get_setting['rtwwpge_pass_protection'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to enable password security on PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr class="sub_child_optn pp_enaled <?= isset($rtwwpge_wprh_get_setting['rtwwpge_pass_protection'])  ? '' : 'display_none' ?>">
					<th class="tr1"><?php esc_html_e('Admin Password', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<p><input type="text" placeholder="<?php esc_html_e('Admin Password','rtwwpge-wordpress-pdf-generator-for-elementor');?>" id="rtwwpge_admin_pass" name="rtwwpge_basic_setting_opt[rtwwpge_admin_pass]" value="<?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_admin_pass'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_admin_pass'] : ''; ?>" /></p>
						<div class="rtwwpge_desc">
							<?php esc_html_e('Set password for Admin by which he can access all the PDF. By default password "12345678"','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr class="sub_child_optn pp_enaled <?= isset($rtwwpge_wprh_get_setting['rtwwpge_pass_protection'])  ? '' : 'display_none' ?>">
					<th class="tr1"><?php esc_html_e('Logged In User', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<p><input type="radio" name="rtwwpge_basic_setting_opt[protctn_type_name]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['protctn_type_name'] ) && $rtwwpge_wprh_get_setting['protctn_type_name'] == 1 ? esc_html('checked="checked"') : ''; ?> /><?php esc_html_e('Username', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></p>
						<p><input type="radio" name="rtwwpge_basic_setting_opt[protctn_type_name]" value="2" <?php echo isset( $rtwwpge_wprh_get_setting['protctn_type_name'] ) && $rtwwpge_wprh_get_setting['protctn_type_name'] == 2 ? esc_html('checked="checked"') : ''; ?> /><?php esc_html_e('Email', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></p>
						<p id="rtwwpge_combo_pass"><input type="radio" name="rtwwpge_basic_setting_opt[protctn_type_name]" value="3" <?php echo isset( $rtwwpge_wprh_get_setting['protctn_type_name'] ) && $rtwwpge_wprh_get_setting['protctn_type_name'] == 3 ? esc_html('checked="checked"') : ''; ?> /><?php esc_html_e('Combination of name & email', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></p>
						<span class="rtwwpge_combo_info display_none"><?php esc_html_e('Combination of first four letter of username and first four letters of email (case-sensitive)','rtwwpge-wordpress-pdf-generator-for-elementor');?></span>
					</td>
				</tr>
				<tr class="sub_child_optn pp_enaled <?= isset($rtwwpge_wprh_get_setting['rtwwpge_pass_protection'])  ? '' : 'display_none' ?>">
					<th class="tr1"><?php esc_html_e('Guest User', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<p><input type="text" placeholder="<?php esc_html_e('Guest User Password','rtwwpge-wordpress-pdf-generator-for-elementor');?>" id="rtwwpge_guestuser_pass" name="rtwwpge_basic_setting_opt[rtwwpge_guestuser_pass]" value="<?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_guestuser_pass'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_guestuser_pass'] : ''; ?>" /></p>
						<div class="rtwwpge_desc">
							<?php esc_html_e('Set a specific password on PDF for guest users','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1"><?php esc_html_e('Other PDF Security', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" id ="rtwwpge_other_pdf_security" name="rtwwpge_basic_setting_opt[rtwwpge_other_pdf_security]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_other_pdf_security'] ) && $rtwwpge_wprh_get_setting['rtwwpge_other_pdf_security'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to disable permissions that add security to PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr class="sub_child_optn ops_disabled <?= isset($rtwwpge_wprh_get_setting['rtwwpge_other_pdf_security'])  ? '' : 'display_none' ?>">
					<th class="tr1"><?php esc_html_e('Disable Permissions', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_copy]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_copy'] ) && $rtwwpge_wprh_get_setting['disable_perm_copy'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Copy', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_print]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_print'] ) && $rtwwpge_wprh_get_setting['disable_perm_print'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Print', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_modify]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_modify'] ) && $rtwwpge_wprh_get_setting['disable_perm_modify'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Modify', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_annot]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_annot'] ) && $rtwwpge_wprh_get_setting['disable_perm_annot'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Annotation Forms', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_fill]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_fill'] ) && $rtwwpge_wprh_get_setting['disable_perm_fill'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Fill Forms', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_extract]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_extract'] ) && $rtwwpge_wprh_get_setting['disable_perm_extract'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Extract', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
						<p>
							<input type="checkbox" name="rtwwpge_basic_setting_opt[disable_perm_assemble]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['disable_perm_assemble'] ) && $rtwwpge_wprh_get_setting['disable_perm_assemble'] == 1 ? 'checked="checked"' : ''; ?> /><?php esc_html_e('Assemble', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</p>
					</td>
				</tr>
				<tr>
					<th class="rtwwpge_tool_disable_cache"><?php esc_html_e('Disable Cache', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_basic_setting_opt[rtwwpge_disable_cache]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_disable_cache'] ) && $rtwwpge_wprh_get_setting['rtwwpge_disable_cache'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to disable PDF caching','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
			</tbody>	
		</table>
	</div>
	<?php
}
else {
	include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_html/rtwwpge_purchase_code_verification.php');
}