<?php

$rtwwpge_purchase_code_details = get_option( 'rtwwpge_verification_done', array() );
if (!empty($rtwwpge_purchase_code_details) && is_array($rtwwpge_purchase_code_details) && isset($rtwwpge_purchase_code_details['status']) && $rtwwpge_purchase_code_details['status'] == true && isset($rtwwpge_purchase_code_details['purchase_code']) && $rtwwpge_purchase_code_details['purchase_code'] != '' )
{
	settings_fields('rtwwpge_footer_setting');
	$rtwwpge_wprh_get_setting = get_option('rtwwpge_footer_setting_opt');
	?>
	<div class="rtwwpgepdf_tab_div">
		<table class="wp-list-table form-table">
				<tr>
					<th class="tr1 rtwwpge_tool_removefooter"><?php esc_html_e('Remove Footer', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
					</th>
					<td class="tr2">
						<input type="checkbox" id= "rtwwpge_foot_remv" name="rtwwpge_footer_setting_opt[rtwwpge_remove_footer]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_remove_footer'] ) && $rtwwpge_wprh_get_setting['rtwwpge_remove_footer'] == 1 ? 'checked="checked"' : ''; ?>  />
						<div class="rtwwpge_desc">
								<?php esc_html_e('Check it if you want to remove footer','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
			</tr>
		</table>
		<table id="rtwwpge_text_remv_footer"
		class="wp-list-table form-table <?= isset($rtwwpge_wprh_get_setting['rtwwpge_remove_footer'])  ? 'display_none' : '' ?>">
			<tbody>
				<tr>
					<th><?php esc_html_e('Footer HTML', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td>
						<?php
							$rtwwpge_content = isset( $rtwwpge_wprh_get_setting['rtwwpge_footer_html'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_footer_html'] : '';
							$rtwwpge_setting = array(
								'wpautop' => true,
								'media_buttons' => true,
								'textarea_name' => 'rtwwpge_footer_setting_opt[rtwwpge_footer_html]',
								'textarea_rows' => 7
							);
							wp_editor($rtwwpge_content, 'rtwwpge_footeresc_html_editor', $rtwwpge_setting );
						?>
						<div class="rtwwpge_desc">
								<?php esc_html_e('Enter your required footer text/image','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_footertopmargin"><?php esc_html_e('Footer Top Margin', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
				</th>
					<td class="tr2">
						<input type="number" min="0" name="rtwwpge_footer_setting_opt[rtwwpge_footer_top_margin]" value="<?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_footer_top_margin'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_footer_top_margin'] : '15'; ?>" />
						<div class="rtwwpge_desc">
								<?php esc_html_e('Enter your required top margin (By default 15)','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1"><?php esc_html_e('Footer Section Font', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<select name="rtwwpge_footer_setting_opt[rtwwpge_footer_font_family]">
						<?php 
							foreach ( $rtwwpge_fonts as $key => $value ) 
							{ 
								?>
									<option value="<?php echo esc_attr($value);?>" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_footer_font_family'] ) && $rtwwpge_wprh_get_setting['rtwwpge_footer_font_family'] == $value ? 'selected="selected"' : '';?>><?php esc_html_e($key,'rtwwpge-wordpress-pdf-generator-for-elementor');?></option>
								<?php
							}
						?>
						</select>
						<div class="rtwwpge_desc">
								<?php esc_html_e('Choose your required font for PDF Footer','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_footersectionsize"><?php esc_html_e('Footer Section Font Size', 'rtwwpge-wordpress-pdf-generator-for-elementor');?>
					</th>
					<td class="tr2">
						<input type="number" min="0" name="rtwwpge_footer_setting_opt[rtwwpge_footer_font_size]"
						value="<?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_footer_font_size'] ) ? $rtwwpge_wprh_get_setting['rtwwpge_footer_font_size'] : '15'; ?>" />
						<div class="rtwwpge_desc">
								<?php esc_html_e('Enter your required font size for PDF Footer (By default 15)','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_hide_fhl"><?php esc_html_e('Hide Footer Horizontal Line', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_footer_setting_opt[rtwwpge_footer_tb]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_footer_tb'] ) && $rtwwpge_wprh_get_setting['rtwwpge_footer_tb'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check to hide footer horizontal line in the PDF','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
				<tr>
					<th class="tr1 rtwwpge_tool_hide_pageno"><?php esc_html_e('Hide Page Number', 'rtwwpge-wordpress-pdf-generator-for-elementor');?></th>
					<td class="tr2">
						<input type="checkbox" name="rtwwpge_footer_setting_opt[rtwwpge_hide_pageno]" value="1" <?php echo isset( $rtwwpge_wprh_get_setting['rtwwpge_hide_pageno'] ) && $rtwwpge_wprh_get_setting['rtwwpge_hide_pageno'] == 1 ? 'checked="checked"' : ''; ?> />
						<div class="rtwwpge_desc">
							<?php esc_html_e('Check it if you want to hide page number in PDF Footer','rtwwpge-wordpress-pdf-generator-for-elementor');?>
						</div>
					</td>
				</tr>
			</tbody>	
		</table>
	</div>
	<?php
}
else {
	include_once(RTWWPGE_DIR.'/admin/partials/rtwwpge_html/rtwwpge_purchase_code_verification.php');
}