<?php

/**
 * Fired during plugin activation
 *
 * @link       www.redefiningtheweb.com
 * @since      1.0.0
 *
 * @package    Rtwwpge_Wordpress_Pdf_Generator_For_Elementor
 * @subpackage Rtwwpge_Wordpress_Pdf_Generator_For_Elementor/includes
*/

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Rtwwpge_Wordpress_Pdf_Generator_For_Elementor
 * @subpackage Rtwwpge_Wordpress_Pdf_Generator_For_Elementor/includes
 * @author     RedefinignTheWeb <support@redefiningtheweb.com>
*/

class Rtwwpge_Wordpress_Pdf_Generator_For_Elementor_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	*/
	public static function rtwwpge_activate() {
		update_option('rtwwpge_singleprdt_setting_opt', array('rtwwpge_enable_singleprdt' => '1'));
		update_option('rtwwpge_basic_setting_opt', array('rtwwpge_post_type' => array('post' => '1', 'page' => '1')));
	}

}